Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163870 - Global Firefox plugins are not carried forward during an update
Summary: Global Firefox plugins are not carried forward during an update
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: massRequestForReproduction
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 18:29 UTC by Matt Miller
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-14 15:55:59 UTC


Attachments (Terms of Use)

Description Matt Miller 2005-07-21 18:29:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
Global plugins for Firefox are kept in the /usr/lib/firefox-version/plugins  directory. When Firefox is updated, for example, from 1.0.4 to 1.0.6, the plugins in the /usr/lib/firefox-1.0.4/plugins directory are not moved to /usr/lib/firefox-1.0.6

Taking a look at the /usr/bin/firefox shell script, there is an excluded section for backwards compatibility with Mozilla(reference to /usr/lib/mozilla). Why is there no backwards compatibility with previous versions of Firefox?

Version-Release number of selected component (if applicable):
firefox-1.0.6, firefox-1.0.4

How reproducible:
Always

Steps to Reproduce:
1. Install an older version of Firefox(such as 1.0.4) using the RPM
2. Install any number of plugins globally into /usr/lib/firefox-1.0.4/plugins
3. Upgrade to Firefox 1.0.6 using the RPM; plugins from 1.0.4 do not carry over
  

Actual Results:  No plugins are installed for the new version of Firefox

Expected Results:  Plugins that had been working with previous verion of Firefox should also be copied over and working with the new upgraded version.

Additional info:

Comment 1 Donald Cohen 2006-05-11 22:17:45 UTC
Is there any reason that the firefox package couldn't include most of the common
plugins?  I have jre installed but not the java plugin.  And it's not a trivial
matter to get it.  Ideally the new version should come with all plugins installed
and just enable the ones that were enabled before.  If you say that the jre
package should supply the plugin, that's fine with me (if you can get them to do
it), but installing firefox should still install it (if it's there).

Comment 2 Matěj Cepl 2008-02-08 20:41:37 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]

Comment 3 Matěj Cepl 2008-03-12 15:47:36 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 4 Matěj Cepl 2008-04-14 15:55:59 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Comment 5 Christopher Aillon 2008-04-16 04:38:51 UTC
Also, note that /usr/lib/mozilla/plugins has always worked (for 32bit, for 64bit
use lib64)


Note You need to log in before you can comment on or make changes to this bug.